<template>
  <footer v-if="open" class="footer">
    <b-card :body-class="'p-0'">
      <b-row align-v="center">
        <b-col>
          <a href="https://www.dfg.de/" target="_blank">
            <img
              v-if="$i18n.locale === 'de'"
              class="dfgLogo"
              src="@/assets/dfg_logo_schriftzug_blau_foerderung_4c.jpg"
              alt="DFG Logo"
              data-themekey="#"
            />
            <img
              v-else
              class="dfgLogo"
              src="@/assets/dfg_logo_schriftzug_blau_foerderung_en.jpg"
              alt="DFG Logo"
              data-themekey="#"
            /> </a
        ></b-col>
        <b-col>
          {{ $t("aims.fundingStatement") }}
          <a
            href="https://gepris.dfg.de/gepris/projekt/442146713?context=projekt&task=showDetail&id=442146713"
            target="_blank"
            >442146713</a
          >
        </b-col>
        <b-col>
          <a href="https://nfdi4ing.de/" target="_blank">
            <img
              class="nfdi4ingLogo ms-auto"
              src="@/assets/nfdi4ing_cmyk_quer.svg"
              alt="NFDI4Ing Logo"
              data-themekey="#"
            />
          </a>
        </b-col>
        <b-col sm="1">
          <b-button
            class="closeButton"
            variant="outline-danger"
            @click="open = false"
            ><i-bi-x
          /></b-button>
        </b-col>
      </b-row>
    </b-card>
  </footer>
</template>

<script setup lang="ts">
import { useLocalStorage } from "@vueuse/core";

const open = useLocalStorage("aims.footerOpen", true);
</script>

<style scoped>
.footer {
  position: fixed;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1030;
}
.footer .card-body {
  padding: 0;
}
@media (min-width: 1400px) {
  img.dfgLogo {
    border: 0px;
    object-position: 0%;
    height: 40px;
  }
}
@media (min-width: 1200px) and (max-width: 1399.98px) {
  img.dfgLogo {
    border: 0px;
    object-position: 0%;
    height: 40px;
  }
}
@media (max-width: 1199.98px) {
  a img.dfgLogo {
    border: 0px;
    object-position: 0%;
    height: 40px;
  }
}

@media (min-width: 1400px) {
  img.nfdi4ingLogo {
    border: 0px;
    object-position: 0%;
    width: 113px;
    height: 30px;
  }
}
@media (min-width: 1200px) and (max-width: 1399.98px) {
  img.nfdi4ingLogo {
    border: 0px;
    object-position: 0%;
    width: 138px;
    height: 30px;
  }
}
@media (max-width: 1199.98px) {
  a img.nfdi4ingLogo {
    border: 0px;
    object-position: 0%;
    width: 156px;
    height: 30px;
  }
}
</style>
